pandoc-1.15.0.6: Conversion between markup formats

Copyright | Copyright (C) 2007-2015 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell98

Text.Pandoc.Readers.TeXMath

Description

Conversion of TeX math to a list of `Pandoc` inline elements.

Synopsis

- texMathToInlines :: MathType -> String -> [Inline]

# Documentation

texMathToInlines

Arguments

:: MathType |
-> String | String to parse (assumes `'\n'` line endings)
-> [Inline] |

Converts a raw TeX math formula to a list of `Pandoc` inlines. Defaults to raw formula between `$` or `$$` characters if entire formula can't be converted.